net.minecraftforge.client.event

## Class RenderPlayerEvent

- java.lang.Object
- - net.minecraftforge.event.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.living.LivingEvent
      - - net.minecraftforge.event.entity.player.PlayerEvent
        - - net.minecraftforge.client.event.RenderPlayerEvent

- Direct Known Subclasses:
    RenderPlayerEvent.Post, RenderPlayerEvent.Pre, RenderPlayerEvent.SetArmorModel, RenderPlayerEvent.Specials

      public abstract class RenderPlayerEvent
      extends PlayerEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RenderPlayerEvent.Post`
    `static class` | `RenderPlayerEvent.Pre`
    `static class` | `RenderPlayerEvent.SetArmorModel`
    `static class` | `RenderPlayerEvent.Specials`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck, PlayerEvent.NameFormat`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `partialRenderTick`
    `RenderPlayer` | `renderer`

    - ### Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent

      `entityPlayer`

    - ### Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent

      `entityLiving`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderPlayerEvent(EntityPlayer player, RenderPlayer renderer, float partialRenderTick)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.event.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### renderer

          public final RenderPlayer renderer

    - #### partialRenderTick

          public final float partialRenderTick

  - ### Constructor Detail

    - #### RenderPlayerEvent

          public RenderPlayerEvent(EntityPlayer player,
                           RenderPlayer renderer,
                           float partialRenderTick)